//
// utilisation avec des mobiles
//
//layout_viewer.js

var CNTX_DOS = false,
	CNTX_MUL = false,
	ask_to_quit_on_close = true, /* par défaut, on demande si on veut quitter le document si on ferme le dernier onglet */
	USE_WLH = true,
	USE_RELOAD = true,
	ontree = false,
	barre_chargement_handler = false,
	NB_NIVEAUX = -1,
	sans_confirmation = false,
	dernier_appel_proprietes_fiche = false,
	premier_prop_fic = true,
	bypass_lancer_proprietes_fiche = false;

/* les libellés utilisés sont dans le language.js */

function objets_ouvre_fiche(id_fiche, id_fiche_origine, new_doc, open_dialog, special_media) {
	if (typeof(new_doc)=="undefined" || isNaN(parseInt(new_doc)) || parseInt(new_doc)==0) new_doc = ID_DOCUMENT;
	if (typeof(open_dialog)=="undefined" || open_dialog==0 || open_dialog===false) open_dialog = false;
	if (typeof(special_media)=="undefined" || isNaN(parseInt(special_media)) || parseInt(special_media)==0 || special_media===false) special_media = false;
	if (special_media!==false) special_media = parseInt(special_media);
	if (open_dialog==1 || open_dialog===true) open_dialog = true;
	if (open_dialog) {
		var url = ROOT+'document/'+new_doc +'/document_view/m_layer.php?id='+id_fiche;
		// prise en compte du bypass par serial
		if ( 'string' == typeof(SERIAL) && '' != SERIAL) url += '&serial='+ SERIAL;
		if (EXPORT_OUTPUT_HTML) url = 'm_page'+id_fiche+'.html';
		//console.log(url);
		window.location = url;
		//#TODO affichage dans un dialog...
	} else {
		if (new_doc!=ID_DOCUMENT) {
			// LIEN EXTERNE
			var url = ROOT+'document/'+new_doc+'/m_layout_view.php';
			// prise en compte du bypass par serial
			if ( 'string' == typeof(SERIAL) && '' != SERIAL) url += '?serial='+ SERIAL;
			url += '#'+id_fiche;
			if (EXPORT_OUTPUT_HTML) {
				// doc externe donc ça ne marchera pas en export HTML
				alert("Les liens externes ne fonctionnent pas en export HTML");
			} else {
				//console.log(url);
				window.open(url,'_blank'); // doc externe donc nouvelle fenêtre
			}
		} else {
			// LIEN INTERNE
			if (special_media!==false) {
				var url = ROOT+'document/'+new_doc+'/m_layout_view.php?scroll_to_media='+special_media;
				// prise en compte du bypass par serial
				if ( 'string' == typeof(SERIAL) && '' != SERIAL) url += '&serial='+ SERIAL;
				url += '#'+id_fiche;
				if (EXPORT_OUTPUT_HTML) url = 'm_page'+id_fiche+'.html#scroll_to_media='+special_media;
			} else {
				var url = ROOT+'document/'+new_doc +'/document_view/m_layer.php?id='+id_fiche;
				// prise en compte du bypass par serial
				if ( 'string' == typeof(SERIAL) && '' != SERIAL) url += '&serial='+ SERIAL;
				url += '#'+id_fiche;
				if (EXPORT_OUTPUT_HTML) url = 'm_page'+id_fiche+'.html';
			}
			//console.log(url);
			window.location = url;
		}
	}
}

/*_____________________________________________________________________________________________________________________________________________
  
   FONCTIONS GENERALISTES
 _____________________________________________________________________________________________________________________________________________
*/

/* élargissement du parseInt()*/
function str2num(str){
	str = ''+str;
	return parseInt( str.replace(/^[^0-9]+/,'') );
}

function fermer_document() {
	window.location = ROOT+'layout_main.php';
}
/*function ConsoleLog(){} décommenter pour désactiver les messages de debogage (version production)*/

/**
 * permet d'horodater la visualisation d'une page (utile si la page a déjà été chargée)
 * @param  {int}   id_fiche
 * @param  {Function} callback ce qu'on fait quand l'horodatage est fini : par exemple ouvrir l'onglet
 * @return void
 */
function horodatage(id_fiche, callback) {
	if (EXPORT_OUTPUT_HTML)
		ConsoleLog("pas d'horodatage");
	else
		$.ajax({
			data: {operation:'horodatage',fiche:id_fiche},
			error: function(a,b,c){
				if (c!='abort') ConsoleLog('Erreur ajax',c); else { if ( typeof(callback)=='function' ) callback(); }
			},
			success: function(r){
				ConsoleLog('horodatage',r);
				if ( typeof(callback)=='function' ) callback();
			}
		});
}
/*_____________________________________________________________________________________________________________________________________________
  
   GESTION DES NUMEROS D'ONGLETS DANS L'URL (APRES LE #)
  _____________________________________________________________________________________________________________________________________________
*/
function rafine_hash(liste_id_possibles, changer) {
}


function ajoute_hash(numero) {
}

function retire_hash(indice) {
}

function ouvre_depuis_hash() {
}



/*_____________________________________________________________________________________________________________________________________________
  
   GESTION DU TOTEM ET DE L'ARBORESCENCE (COLONNE DE GAUCHE)
  _____________________________________________________________________________________________________________________________________________
*/

function redimensionne_image_totem() {}

function jstree_change_theme() {
}

function jstree_change_icone(node, protection, recursif) { 
}

function jstree_show() {
}

function do_jstree() {
}

function prepare_arbre() {
}

function recharger_arbre() {
}

/*_____________________________________________________________________________________________________________________________________________
  
   GESTION DE LA PAGE
  _____________________________________________________________________________________________________________________________________________
*/

function prepare_variables() {
}

function ferme_onglet(tab_id) {
	
}

function prepare_page() {

}
